﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;

namespace FLY.ModbusModule
{
    /// <summary>
    /// 异常有异常事件
    /// </summary>
    public interface IModbusClient 
    {
        
        /// <summary>
        /// 读多个 COIL
        /// </summary>
        /// <param name="addr"></param>
        void Do_01(UInt16 addr, UInt16 cnt, Action<bool[],object> AsyncDelegate, object AsyncState);
        /// <summary>
        /// 读多个REG
        /// </summary>
        /// <param name="addr"></param>
        void Do_03(UInt16 addr, UInt16 cnt, Action<UInt16[],object> AsyncDelegate, object AsyncState);
        /// <summary>
        /// 写多个coil
        /// </summary>
        /// <param name="addr"></param>
        void Do_0F(UInt16 addr, bool[] datas);
        /// <summary>
        /// 写多个REG
        /// </summary>
        /// <param name="addr"></param>
        void Do_10(UInt16 addr, UInt16[] datas);
    }
}
