﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace FLY.Thick.RemoteHistory
{
    public interface IBuffer<T> : INotifyPropertyChanged
    {
        /// <summary>
        /// 记录的大小
        /// </summary>
        int Size { get; set; }
        /// <summary>
        /// 每次配料记录
        /// </summary>
        List<T> Record { get; }

        event BufferChangedEventHandler RecordChanged;
    }
}
