﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SQLite
{
    public interface IDBTable
    {
        /// <summary>
        /// 表名
        /// </summary>
        string TableName { get; }

        /// <summary>
        /// 表的 Create SQL
        /// </summary>
        string DDL { get; }

        /// <summary>
        /// 创建表
        /// </summary>
        void Create();

        long FreeID { get; set; }

        /// <summary>
        /// 初始化
        /// </summary>
        /// <param name="sQLiteHelper"></param>
        void Init(SQLiteHelper sQLiteHelper);

    }
}
