﻿using FLY.OBJComponents.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.OBJComponents.IService
{

    /// <summary>
    /// 报警管理系统，配置，整个历史列表
    /// </summary>
    public interface IWarningService : INotifyPropertyChanged
    {
        /// <summary>
        /// 报警使能
        /// </summary>
        bool Enable { get; set; }

        void Reset();
        /// <summary>
        /// 当前报警列表
        /// </summary>
        IBuffer<FlyData_WarningHistory> ReasonList { get; }
        /// <summary>
        /// 近期的报警
        /// </summary>
        IBuffer<FlyData_WarningHistory> NewestList { get; }
    }
}
