﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Thick.Base.Common
{
    /// <summary>
    /// 数据有效来源
    /// </summary>
    public enum DATAVALIDSRC
    {
        /// <summary>
        /// 编码器2
        /// </summary>
        BYEN2 = 1,
        /// <summary>
        /// 涂布机PLC
        /// </summary>
        BYPLC = 2,
        /// <summary>
        /// 输入口
        /// </summary>
        BYINPUT=3,
        /// <summary>
        /// 一直有效
        /// </summary>
        VALID = 4,
        /// <summary>
        /// 一直无效
        /// </summary>
        INVALID = 5
    }
    /// <summary>
    /// 线速度来源
    /// </summary>
    public enum FilmVSRC 
    {
        EN2,
        ROUND
    }

}
