﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace FLY.Thick.Base.IService
{
    public interface IScanWarningService:INotifyPropertyChanged
    {
        /// <summary>
        /// 使能
        /// </summary>
        bool Enable { get; set; }

        /// <summary>
        /// 报警线 = 产品公差 * AlarmLine
        /// </summary>
        double AlarmLine { get; set; }

        /// <summary>
        /// 连续多少个点，才算报警
        /// </summary>
        int AlarmCnt { get; set; }

        /// <summary>
        /// 混合数
        /// </summary>
        int Mix { get; set; }



        void Apply();
    }
}
